//--------------------------------------------------------------
//
//  MAPI.PRG
//
//  This file contains Windows API function declarations
//  for calls to the Win32 Messaging API from Visual dBASE.
//  The type declarations and constants for the Messaging
//  API are stored in the file MAPI.H
//
//  Visual dBASE 7.0 Samples Group
//
//  $Revision:   1.1  $
//
//  Copyright (c) 1997, Borland International, Inc. 
//  All rights reserved.
//
//--------------------------------------------------------------

//  M A P I . H
//
//  Messaging Applications Programming Interface.
//
//  Copyright 1993-1995 Microsoft Corporation. All Rights Reserved.
//
//  This file defines the structures and constants used by that
//  subset of the Messaging Applications Programming Interface
//  which is supported under Windows by Microsoft Mail for PC
//   Networks version 3.x.
//
#include <MAPI.H>

extern pascal ULONG MAPILogon(ULONG, LPSTR, LPSTR, FLAGS, ULONG, ;
                    LPLHANDLE) mapi32.dll

extern pascal ULONG MAPILogoff(LHANDLE, ULONG, FLAGS, ULONG) mapi32.dll

extern pascal ULONG MAPISendMail(LHANDLE, ULONG, lpMapiMessage, FLAGS, ;
                    ULONG) mapi32.dll

extern pascal ULONG MAPISendDocuments(ULONG, LPSTR, LPSTR, LPSTR, ;
                    ULONG) mapi32.dll

extern pascal ULONG MAPIFindNext(LHANDLE, ULONG, LPSTR, LPSTR, ;
                    FLAGS, ULONG, LPSTR) mapi32.dll

extern pascal ULONG MAPIReadMail(LHANDLE, ULONG, LPSTR, FLAGS, ULONG, ;
                    lpMapiMessage) mapi32.dll

extern pascal ULONG MAPISaveMail(LHANDLE, ULONG, lpMapiMessage, FLAGS, ;
                    ULONG, LPSTR) mapi32.dll

extern pascal ULONG MAPIDeleteMail(LHANDLE, ULONG, LPSTR, FLAGS, ;
                    ULONG) mapi32.dll

extern pascal ULONG MAPIFreeBuffer( LPVOID ) mapi32.dll

extern pascal ULONG MAPIAddress(LHANDLE, ULONG, LPSTR, ULONG, LPSTR, ;
                    ULONG, lpMapiRecipDesc, FLAGS, ULONG, LPULONG, ;
                    lpMapiRecipDesc) mapi32.dll

extern pascal ULONG MAPIDetails(LHANDLE, ULONG, lpMapiRecipDesc, ;
                    FLAGS, ULONG) mapi32.dll

extern pascal ULONG MAPIResolveName(LHANDLE, ULONG, LPSTR, FLAGS, ;
                    ULONG, lpMapiRecipDesc) mapi32.dll

